document.addEventListener('DOMContentLoaded', function() {
  // Example code to display
  const scrollExample = `header
 class hero
 nav
  div My Site
   class logo
  div
   class nav-links
   a Home
    href /
   a About
    href /about
 div
  class hero-content
  h1 Welcome to My Site
  p Built with Scroll markup`;

  const htmlOutput = `<header class="hero">
  <nav>
    <div class="logo">My Site</div>
    <div class="nav-links">
      <a href="/">Home</a>
      <a href="/about">About</a>
    </div>
  </nav>
  <div class="hero-content">
    <h1>Welcome to My Site</h1>
    <p>Built with Scroll markup</p>
  </div>
</header>`;

  // Display the example code
  const codeExample = document.querySelector('.code-example');
  const codeOutput = document.querySelector('.code-output');
  
  if (codeExample) {
    codeExample.textContent = scrollExample;
  }
  
  if (codeOutput) {
    codeOutput.innerHTML = htmlOutput;
  }

  // Smooth scrolling for anchor links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function(e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});